@RestController
@RequestMapping("/api/playbooks")
public class PlaybookController
extends Object
REST-API Endpoints --
- GET /api/playbooks/{id}: Returns data from the API
- PUT /api/playbooks/{id}: Updates an entry by ID
- DELETE /api/playbooks/{id}: Deletes an entry by ID
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors
-
Method Summary
org.springframework.http.ResponseEntity<Playbook>
org.springframework.http.ResponseEntity<Void>
org.springframework.http.ResponseEntity<Playbook>
org.springframework.http.ResponseEntity<Playbook>
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
-
-
Method Details
-
getAll
@GetMapping
public org.springframework.http.ResponseEntity<List<Playbook>> getAll()
-
getById
@GetMapping("/{id}")
public org.springframework.http.ResponseEntity<Playbook> getById(@PathVariable
Long id)
-
create
@PostMapping
public org.springframework.http.ResponseEntity<Playbook> create(@RequestBody
Playbook item)
-
update
@PutMapping("/{id}")
public org.springframework.http.ResponseEntity<Playbook> update(@PathVariable
Long id,
@RequestBody
Playbook item)
-
deleteById
@DeleteMapping("/{id}")
public org.springframework.http.ResponseEntity<Void> deleteById(@PathVariable
Long id)